Get List Of Withdrawal Orders¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| currency_array Optional | String[] | Asset name |
| status_array Optional | String[] | Order Status |
| start_date_time Optional | Long | Order creation time start time (default query within 6 months data without transmission) |
| end_date_time Optional | Long | Order creation time end time (default query within 6 months data without transmission) |
| keyword Optional | String | Search (Order ID, destination address, destination wallet) |
| address Optional | String | Destination address |
| offset Required | Integer | Offset |
| limit Required | Integer | Limit |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Withdrawal order list data (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| metadata | Object | Metadata |
| list | Object[] | Order list (see list object details below). |
list (object)
| Field | Type | Description |
|---|---|---|
| bid | String | Business line ID |
| order_no | String | Order ID |
| currency | String | Asset name |
| coin_name | String | Token name |
| fee | Integer | Withdrawal service fee |
| amount | Integer | Withdrawal amount |
| dest_wallet_code | String | Destination wallet ID |
| dest_address | String | Destination address |
| dest_tag | String | Destination address's tag or memo |
| status | String | Status Allowed values: PROCESSING (processing), COMPLETE (complete), FAILED (failed) |
| description | String | Order description |
| create_time_stamp | Long | Order creation time |
Response Example¶
{
"code": 0,
"data": {
"limit": 10,
"list": [
{
"bid": "string",
"order_no": "string",
"currency": "string",
"coin_name": "string",
"description": "string",
"status": "string",
"dest_wallet_code": "string",
"dest_address": "string",
"dest_tag": "string",
"fee": 50000000,
"amount": 200000000,
"create_time_stamp": 1663625798000
}
],
"metadata": {},
"offset": 0,
"total": 1
},
"message": "",
"successful": true
}